# Uses of Class
org.apache.commons.math3.analysis.interpolation.InterpolatingMicrosphere

Packages that use InterpolatingMicrosphere
Package
Description
org.apache.commons.math3.analysis.interpolation
Univariate real functions interpolation algorithms.

## Uses of InterpolatingMicrosphere in org.apache.commons.math3.analysis.interpolation

Subclasses of InterpolatingMicrosphere in org.apache.commons.math3.analysis.interpolation
Modifier and Type
Class
Description
`class`
`InterpolatingMicrosphere2D`
Utility class for the `MicrosphereProjectionInterpolator` algorithm.
Methods in org.apache.commons.math3.analysis.interpolation that return InterpolatingMicrosphere
Modifier and Type
Method
Description
`InterpolatingMicrosphere`
InterpolatingMicrosphere.`copy()`
Perform a copy.
Constructors in org.apache.commons.math3.analysis.interpolation with parameters of type InterpolatingMicrosphere
Modifier
Constructor
Description
`protected`
`InterpolatingMicrosphere(InterpolatingMicrosphere other)`
Copy constructor.
``
`MicrosphereProjectionInterpolator(InterpolatingMicrosphere microsphere, double exponent, boolean sharedSphere, double noInterpolationTolerance)`
Create a microsphere interpolator.